glibmm: Glib::Variant< double > Class Template Reference

glibmm 2.31.0.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions
Glib::Variant< double > Class Template Reference
Variant Data Types

Specialization of Glib::Variant containing a double type. More...

`#include <glibmm/variant_basictypes.h>`

Inheritance diagram for Glib::Variant< double >:
[legend]

List of all members.

## Public Types
typedef gdouble | CType
## Public Member Functions
| Variant ()
| Default constructor.
| Variant (GVariant* castitem, bool take_a_reference=false)
| GVariant constructor.
double | get () const
| Gets the value of the Glib::Variant<double>.
## Static Public Member Functions
static const VariantType& | variant_type ()
| Gets the Glib::VariantType.
static Variant< double > | create (double data)
| Creates a new Glib::Variant<double>.

## Detailed Description

### template<>
class Glib::Variant< double >

Specialization of Glib::Variant containing a double type.

Since glibmm 2.26:

## Member Typedef Documentation

typedef gdouble Glib::Variant< double >::CType

## Constructor & Destructor Documentation

Glib::Variant< double >::Variant | ( |  | ) | `[inline]`

Default constructor.

Glib::Variant< double >::Variant | ( | GVariant< double > * | castitem,
|  | bool | take_a_reference = `false`
| ) |  | `[inline, explicit]`

GVariant constructor.

Parameters:

  castitem | The GVariant to wrap.

## Member Function Documentation

static Variant<double> Glib::Variant< double >::create | ( | double | data | ) | `[static]`

Creates a new Glib::Variant<double>.

Parameters:

  data | The value of the new Glib::Variant<double>.

Returns:
  The new Glib::Variant<double>.

double Glib::Variant< double >::get | ( |  | ) | const

Gets the value of the Glib::Variant<double>.

Returns:
  The double value of the Glib::Variant<double>.

static const VariantType& Glib::Variant< double >::variant_type | ( |  | ) | `[static]`

Gets the Glib::VariantType.

Returns:
  The Glib::VariantType.